/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * DailyLife
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class DailyLife {
  @SerializedName("label")
  private String label = null;

  @SerializedName("office_hours")
  private String officeHours = null;

  @SerializedName("shopping_hours")
  private String shoppingHours = null;

  @SerializedName("banking_hours")
  private String bankingHours = null;

  @SerializedName("post_office_hours")
  private String postOfficeHours = null;

  @SerializedName("electricity")
  private String electricity = null;

  @SerializedName("weights_measures")
  private String weightsMeasures = null;

  @SerializedName("required_clothing")
  private String requiredClothing = null;

  @SerializedName("tipping_information")
  private String tippingInformation = null;

  public DailyLife label(String label) {
    this.label = label;
    return this;
  }

   /**
   * Daily life label. Ex: \&quot;Daily life\&quot;
   * @return label
  **/
  @ApiModelProperty(value = "Daily life label. Ex: \"Daily life\"")
  public String getLabel() {
    return label;
  }

  public void setLabel(String label) {
    this.label = label;
  }

  public DailyLife officeHours(String officeHours) {
    this.officeHours = officeHours;
    return this;
  }

   /**
   * Office hours description. Ex: \&quot;9.00am-12.00pm and 2.00pm-6.00pm from Monday to Friday...\&quot;
   * @return officeHours
  **/
  @ApiModelProperty(value = "Office hours description. Ex: \"9.00am-12.00pm and 2.00pm-6.00pm from Monday to Friday...\"")
  public String getOfficeHours() {
    return officeHours;
  }

  public void setOfficeHours(String officeHours) {
    this.officeHours = officeHours;
  }

  public DailyLife shoppingHours(String shoppingHours) {
    this.shoppingHours = shoppingHours;
    return this;
  }

   /**
   * Shopping hours description. Ex: \&quot;11.00am-9.00pm from Monday to Saturday (colder cities)...\&quot;
   * @return shoppingHours
  **/
  @ApiModelProperty(value = "Shopping hours description. Ex: \"11.00am-9.00pm from Monday to Saturday (colder cities)...\"")
  public String getShoppingHours() {
    return shoppingHours;
  }

  public void setShoppingHours(String shoppingHours) {
    this.shoppingHours = shoppingHours;
  }

  public DailyLife bankingHours(String bankingHours) {
    this.bankingHours = bankingHours;
    return this;
  }

   /**
   * Banking hours description. Ex: \&quot;9.00am-3.00pm from Monday to Friday (banks close at ...)...\&quot;
   * @return bankingHours
  **/
  @ApiModelProperty(value = "Banking hours description. Ex: \"9.00am-3.00pm from Monday to Friday (banks close at ...)...\"")
  public String getBankingHours() {
    return bankingHours;
  }

  public void setBankingHours(String bankingHours) {
    this.bankingHours = bankingHours;
  }

  public DailyLife postOfficeHours(String postOfficeHours) {
    this.postOfficeHours = postOfficeHours;
    return this;
  }

   /**
   * Post Office hours description. Ex: \&quot;9.00am-12.00pm and 2.00pm-4.00pm from Monday to Friday...\&quot;
   * @return postOfficeHours
  **/
  @ApiModelProperty(value = "Post Office hours description. Ex: \"9.00am-12.00pm and 2.00pm-4.00pm from Monday to Friday...\"")
  public String getPostOfficeHours() {
    return postOfficeHours;
  }

  public void setPostOfficeHours(String postOfficeHours) {
    this.postOfficeHours = postOfficeHours;
  }

  public DailyLife electricity(String electricity) {
    this.electricity = electricity;
    return this;
  }

   /**
   * Electricity description. Ex: \&quot;Colombia uses 110 volts, 60Hz of electricity...\&quot;
   * @return electricity
  **/
  @ApiModelProperty(value = "Electricity description. Ex: \"Colombia uses 110 volts, 60Hz of electricity...\"")
  public String getElectricity() {
    return electricity;
  }

  public void setElectricity(String electricity) {
    this.electricity = electricity;
  }

  public DailyLife weightsMeasures(String weightsMeasures) {
    this.weightsMeasures = weightsMeasures;
    return this;
  }

   /**
   * Weights measures description. Ex: \&quot;Metric System\&quot;
   * @return weightsMeasures
  **/
  @ApiModelProperty(value = "Weights measures description. Ex: \"Metric System\"")
  public String getWeightsMeasures() {
    return weightsMeasures;
  }

  public void setWeightsMeasures(String weightsMeasures) {
    this.weightsMeasures = weightsMeasures;
  }

  public DailyLife requiredClothing(String requiredClothing) {
    this.requiredClothing = requiredClothing;
    return this;
  }

   /**
   * Required clothing description. Ex: \&quot;Lightweight cotton or linen clothes are recommended...\&quot;
   * @return requiredClothing
  **/
  @ApiModelProperty(value = "Required clothing description. Ex: \"Lightweight cotton or linen clothes are recommended...\"")
  public String getRequiredClothing() {
    return requiredClothing;
  }

  public void setRequiredClothing(String requiredClothing) {
    this.requiredClothing = requiredClothing;
  }

  public DailyLife tippingInformation(String tippingInformation) {
    this.tippingInformation = tippingInformation;
    return this;
  }

   /**
   * Tipping information description. Ex: \&quot;Tipping is customary in Colombia. A tip of 10-15% to...\&quot;
   * @return tippingInformation
  **/
  @ApiModelProperty(value = "Tipping information description. Ex: \"Tipping is customary in Colombia. A tip of 10-15% to...\"")
  public String getTippingInformation() {
    return tippingInformation;
  }

  public void setTippingInformation(String tippingInformation) {
    this.tippingInformation = tippingInformation;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DailyLife dailyLife = (DailyLife) o;
    return Objects.equals(this.label, dailyLife.label) &&
        Objects.equals(this.officeHours, dailyLife.officeHours) &&
        Objects.equals(this.shoppingHours, dailyLife.shoppingHours) &&
        Objects.equals(this.bankingHours, dailyLife.bankingHours) &&
        Objects.equals(this.postOfficeHours, dailyLife.postOfficeHours) &&
        Objects.equals(this.electricity, dailyLife.electricity) &&
        Objects.equals(this.weightsMeasures, dailyLife.weightsMeasures) &&
        Objects.equals(this.requiredClothing, dailyLife.requiredClothing) &&
        Objects.equals(this.tippingInformation, dailyLife.tippingInformation);
  }

  @Override
  public int hashCode() {
    return Objects.hash(label, officeHours, shoppingHours, bankingHours, postOfficeHours, electricity, weightsMeasures, requiredClothing, tippingInformation);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DailyLife {\n");
    
    sb.append("    label: ").append(toIndentedString(label)).append("\n");
    sb.append("    officeHours: ").append(toIndentedString(officeHours)).append("\n");
    sb.append("    shoppingHours: ").append(toIndentedString(shoppingHours)).append("\n");
    sb.append("    bankingHours: ").append(toIndentedString(bankingHours)).append("\n");
    sb.append("    postOfficeHours: ").append(toIndentedString(postOfficeHours)).append("\n");
    sb.append("    electricity: ").append(toIndentedString(electricity)).append("\n");
    sb.append("    weightsMeasures: ").append(toIndentedString(weightsMeasures)).append("\n");
    sb.append("    requiredClothing: ").append(toIndentedString(requiredClothing)).append("\n");
    sb.append("    tippingInformation: ").append(toIndentedString(tippingInformation)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

